<?php

session_start();
header("Content-type: text/html; charset=".$_SESSION['encodingmode']);
if($_SESSION['dbName']==""){
header("location:../index.php");
}
include("config.inc.php");

$connection = mysql_connect($config['dbServer'],$config['dbUser'],$config['dbPass']) or die("Could not connect to DB");
mysql_select_db($_SESSION['dbName'],$connection) or die("Could not find DB");

if(	$_SESSION['encodingmode'] == 'utf8' || $_SESSION['encodingmode'] == 'utf-8'){
	mysql_query("SET NAMES 'utf8'"); 
	mysql_query('SET CHARACTER SET utf8'); 
	mysql_set_charset('utf8', $connection);
}




	
$querysetup="select DecimalBase, DecimalBase1, DecimalBase2, base1, base2, grid_color1, grid_color2,maxperpage from setup";
$resultsetup=mysql_query($querysetup,$connection) or die(mysql_error());
while($rowsetup=mysql_fetch_array($resultsetup)){
	extract($rowsetup);
}
	


//Access Mode On Insert/Edit/Delete
$InsMode = '';

if(!isset($mode))
$mode='';



if($mode=='editmode' or $mode=='view'){

	$query_edit="select 
charges_id, item_code, subgroup, sellingprice, quantity, active
						from default_charges 
						where charges_id='".$charge_id."'";
//echo $query_edit;
	 $resultedit = mysql_query($query_edit, $connection);
	while($row=mysql_fetch_array($resultedit)){

	
	
	$item_code=$row[1];
	$subgroup=$row[2];
	$selling_price=$row[3];
	$quantity=$row[4];
	$active=$row[5];
	
	
	//echo $billoflading;

	}
	$mode='edit';
}

if($mode=='') $mode='insert';

print <<<HERE
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
<LINK REL="stylesheet" TYPE="text/css" MEDIA="all" HREF="css/tabs.css">

<script type="text/javascript" language="javascript">


function editmode () {

	document.defaultcharges.action="Form_defaultcharges.php?mode=edit";
	document.defaultcharges.submit();
}





function SubmitRecord() {
var perpage=document.defaultcharges.perpage.value; 

		
		document.defaultcharges.action="Form_defaultcharges_Actions.php?&perpage='+perpage";
				document.defaultcharges.submit();
		
		


}


function ClearPage(){
	if (confirm ( "Are you sure you want to Clear Page?"))
	{
		ClearForm('All');
		
		x.mode.value='';
		x.message.value='';
		x.action='Form_defaultcharges.php';
		x.submit();
	}	
}

//All= All form; D= Detail Part
function ClearForm(Option){
    x = document.defaultcharges;
	x.item_code.value='';

	x.charge_id.value='';
	
	x.subgroup.value='';
	x.quantity.value='';
	
	x.selling_price.value='';
	

}



   function PrintPreview() {
	var str = '';
	
	str = 'Form_ContainerPreview.php';
	window.open(str);

}



function ExportExcel() {
	var str = 'Form_ContainerExcel.php';
	window.open(str);
}


function PrintPreview() {
	var str = 'Form_ContainerPreview.php';
	window.open(str);
}

function setContainer(charge_id){
	
	document.defaultcharges.charge_id.value=charge_id;
	document.defaultcharges.message.value='';
	document.defaultcharges.mode.value='editmode';
	document.defaultcharges.submit();
}

function SetNextPage(startrange,perpage){
	document.defaultcharges.action='Form_defaultcharges.php?PRef=&startrange='+startrange+'&perpage='+perpage;
	document.defaultcharges.submit();
}

function SetPrvPage(startrange,perpage){
	document.defaultcharges.action='Form_defaultcharges.php?PRef=&startrange='+startrange+'&perpage='+perpage;
	document.defaultcharges.submit();
}

function SearchForContainer(){
	x = document.defaultcharges;
	document.defaultcharges.action='Form_defaultcharges.php?startrange=0';
	document.defaultcharges.submit();
}

function ClearKeyword(){
	x = document.defaultcharges;
	x.txtKeyword.value='';
	document.defaultcharges.submit();
}

function submitenter(myfield,e){
var keycode;
if (window.event) keycode = window.event.keyCode;
else if (e) keycode = e.which;
else return true;

if (keycode == 13)
   {
   	document.defaultcharges.action='Form_defaultcharges.php?startrange=0';
	document.defaultcharges.submit();
  
   return false;
   }
else
   return true;
}

function confirm_delete(Code) {
	
				
	if (confirm ( "Are you sure you want to Delete this Record " + "?")) {
		
		document.defaultcharges.mode.value='delete';	
		
		document.defaultcharges.action='Form_defaultcharges_Actions.php?trace_auto='+Code;
		document.defaultcharges.submit();
		
	}
					
}

function set_limit(){

	perpage=document.defaultcharges.perpage.value;
	document.defaultcharges.action='Form_defaultcharges.php?perpage='+perpage+'&startrange=0';
	document.defaultcharges.submit();
}

</script>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Add defaultcharges</title>

<style type="text/css">

body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
}
body {
	margin-top: 2px;
	margin-left: 1px;
}
a:link {
	text-decoration: none;
	color: #0000FF;
}
a:visited {
	text-decoration: none;
	color: #0000FF;
}
a:hover {
	text-decoration: none;
	color: #0000FF;
}
a:active {
	text-decoration: none;
	color: #0000FF;
}
.style1 {color: #999999; font-weight: bold; }
.style12 {
	font-size: 9px;
	color: #999999;
	font-weight: bold;
}
.style15 {color: #5151FF; font-size: 10px;}
.style16 {
	font-size: 16px;
	color: #FF0000;
	font-weight: bold;
	font-family: "Times New Roman", Times, serif;
}
.style17 {font-size: 9px}
.style25 {color: #999999; font-weight: bold; font-size: 10px; }
.style26 {color: #FF0000}
.style27 {color: #999999 ;font-size: 10px;}
.style28 {color: #FFFFFF ;font-size: 10px;}

</style>

<link type="text/css" rel="stylesheet" href="dhtmlgoodies_calendar.css?random=20051112" media="screen"></LINK>
<SCRIPT type="text/javascript" src="dhtmlgoodies_calendar.js?random=20060118"></script>
<LINK REL="stylesheet" TYPE="text/css" MEDIA="all" HREF="tabs.css">

<link rel="stylesheet" type="text/css" media="all" href="css-v2/style.css">
</head>
<body >
<form name='defaultcharges' method='post' onKeyPress="return submitenter(this,event)">
<input type=hidden name='mode' value='$mode'>
<input type=hidden name='message' value='$message'>
<input type=hidden name='charge_id' value='$charge_id'>
HERE;



if($mode==''){
$status='disabled';
$dis='disabled';

}

if($mode=='view'){

$status='readonly';
$dis='disabled';

}

if($mode=='insert')
$status='';

//$style= "style=' background-color:#4069A7; color:#FFFFFF;font-family:Verdana, Arial, Helvetica, sans-serif; font-size:12px;'";

echo"<table cellpadding='0' cellspacing='0' border='0'  align='center' class='layout-width'>";
include_once("header.php");
echo" <tr><td  valign='top'>";

include_once("sidemenu.php");
echo"  </td></tr>";


echo" <tr style='height:26px;'>
		<td  valign='top' id='content-top'>
			<table border='0' cellpadding='0' cellspacing='0' style='table-layout:fixed; height:26px;' class='layout-width'>
			<tr style='height:26px;'>
				<td style='width:38px; height:26px;'>&nbsp;</td>
				<td valign='middle' style='width:300px; height:26px;'><span class='title' style='text-transform: uppercase'>Container Trace</span></td>
				<td class='message' valign='middle' style='height:26px;'>".htmlspecialchars($message, ENT_QUOTES)."</td>
			</tr></table>
		</td>
	  </tr>";
	  

echo"			<tr>
					<td  height='34'  valign='top' id='content-top2'>
						<table border='0' cellpadding='0' cellspacing='0' class='layout-width'>
							<tr>
								<td width='38'  height='34'>&nbsp;</td>
								<td valign='middle' height='34' width='720px'>
									<button type='button' id='btnClear' name='btnClear' onclick='ClearPage(); return false;' title='Clear Page'><span><span>ClearPage</span></span></button>
									<button type='button' id='btnPost' name='btnPost' onclick='SubmitRecord(); return false;' title='Save Changes' $Insmode><span><span>Save</span></span></button>&nbsp;";
									
								//	echo "<button type='button' id='btnPrint' name='btnPrint' onclick='PrintPreview(); return false;' title='Print' $Insmode><span><span>Print</span></span></button>&nbsp;";
									
								///	echo "<button type='button' id='btnExcel' name='btnExcel' onclick='ExportExcel(); return false;' title='Export Excel' ><span><span>Excel</span></span></button>";
								echo"</td>
								<td align='left' width='250px'>
									<input type='text' name='txtKeyword' value='$txtKeyword' style='width:105px;' onKeyPress='return submitenter(this,event)'>
									<button type='button' id='btnSearch' name='btnSearch' onclick='SearchForContainer(); return false;' title='Search Container'><span><span>Find</span></span></button>
									<button type='button' id='btnClear' name='btnClear' onclick='ClearKeyword(); return false;' title='Clear Keyword'><span><span>Clear</span></span></button>
								</td>
								<td align='left'>
									<span class='style1'><b>".$ResultsPage1."</b></span>
									<span class='style1'><select name='perpage' id='perpage' value='$perpage' onchange=set_limit();>";
									if ($startrange=='')
										$startrange = 0;
									if ($perpage=='')
										$perpage = 20;
									//row limit loop
									echo "<option value='' ";
										//if($perpage==20) echo "selected";
										echo " ></option>";
									foreach ($config['trowlimit'] as $value) {
										echo "<option value='$value' ";
										if($value==$perpage) echo "selected";
										echo " >$value</option>";
									}
echo"							</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td id='content-body'>
						<table border='0'  align='center' valign='top'  class='tablecontent' >
							<col width=100%>
							<tr bgcolor='#F7F7F7' >
								<td valign='top' align='left'>
									<table border='0' style='table-layout:fixed' align='left' >
										<col width=120>
										<col width=200>
										<col width=100>
										<col width=200>
									
										
										";
					echo "<tr>
					<td  align='left' ><span class='style1'> Item Code &nbsp;</span>
											<td><input type='text' name='item_code' value='".htmlspecialchars($item_code, ENT_QUOTES)."' style='font-size:12px; width:100px; height:18px;'  $status maxlength='100' /></td>
						<td  align='left' ><span class='style1'>subgroup &nbsp;</span>
											<td>
											
											<select name='subgroup'>
											<option value=''></option>";
										//	$select_lading="select Bol_identification from manifest";
											//$resultbill=mysql_query($select_lading);
											//while ($rows=mysql_fetch_array($resultbill))
											//{
												echo "<option value='TARROS'";if ($subgroup=='TARROS') echo " selected";
										echo ">TARROS</option>";
										
										//	}
											echo "</select>
										
										</td>
										<td  align='right' ><span class='style1'> Quantity &nbsp;</span>
											<td><input type='text' name='quantity' value='".htmlspecialchars($quantity, ENT_QUOTES)."' style='font-size:12px; width:200px; height:18px;'  $status maxlength='100' /></td>
									
					</tr>
										<tr bgcolor='#F7F7F7' height='25'>
											
										
											
												<td  align='left' ><span class='style1'> Active &nbsp;</span>
											<td><input type='checkbox' name =active ";
											if ($active) echo "checked";
											echo ">
											<td  align='left' ><span class='style1'> selling price &nbsp;</span></td>
											<td><input type='text' name='selling_price' value='".htmlspecialchars($selling_price, ENT_QUOTES)."' style='font-size:12px; width:100x; height:18px;'  $status maxlength='100' />
											</td>
										</tr>";
										
										

									echo "
									</table>
								</td>
							</tr>
							<tr>
								<td  valign='top'style='width:1100px;'>
									<table style='width:1100px;' border='0' cellspacing=0>
										<col width=25>
										<col width=300>
										<col width=300>
										<col width=200>
										<col width=200>
										<col width=200>
									";
										
										echo "<tr style='background-color:darkgray;'>";
									
											echo "<td align='left' ></td>
											<td align=center  ><span class='style1'><b>Item Code</b></td>
											<td align=center  ><span class='style1'><b>Subgroup</b></td>
											<td align=center  ><span class='style1'><b>Selling Price</b></td>
											<td align=center  ><span class='style1'><b>Quantity</b></td>
											<td align=center  ><span class='style1'><b>Active</b></td>
										
										</tr>";
										
									echo "</table>
								</td>
							
										<tr>
											<td>";
											
echo"											<table  border='0' width='1100px;'>
													<col width=25>
													<col width=300>
										<col width=300>
										<col width=200>
										<col width=200>
										<col width=200>";

													$querysearch="select charges_id, item_code, subgroup, sellingprice, quantity, active
																from default_charges 
																
																			";
													$querysearch=$querysearch." where (item_code like"."('%".$txtKeyword."%') or sellingprice like"."('%".$txtKeyword."%')) ";
													$querysearch=$querysearch." or (subgroup like"."('%".$txtKeyword."%') or quantity like"."('%".$txtKeyword."%')) ";
													$querysearch=$querysearch." or (active like"."('%".$txtKeyword."%'))";
														
													$resultsearch=mysql_query($querysearch,$connection) or die(mysql_error());
													$totalrows = mysql_num_rows($resultsearch);

													if ($startrange=='')
														$startrange = 0;
													if ($perpage=='')
														$perpage = 20;

													$querysearch = $querysearch." limit ".$startrange.",".$perpage;

													$resultsearch=mysql_query($querysearch,$connection) or die(mysql_error());	
														while($rows=mysql_fetch_array($resultsearch)){
															$ct+=1;
															$stylefont='style15';
															if($ct%2==0)
																$Color="style='background-color:".$grid_color1."'";
															else			
																$Color="style='background-color:".$grid_color2."'";	
																	
															if($mode=='edit' && $charge_id==$rows[0]){
																
																$Color="style='background-color:#1e87a5'";
																$stylefont='style28';
														}	
																		
													echo'<tr '.$Color.' height="20px" >';
print<<<HERE
															<td align=center >
															<img border='0' src='img/c_delete.png' width='9' height='10'
															title='Delete Detail' onmouseover="this.style.cursor='pointer'" 
															OnClick="confirm_delete('$rows[0]')" $DelMode></td>
HERE;



echo"														<td align=center style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><span class='$stylefont' >$rows[1]&nbsp;</span></font></td>";
echo"														<td align=center  style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><span class='$stylefont' >$rows[2]&nbsp;</span></font></td>";
echo"														<td align=center style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><span class='$stylefont' >$rows[3]&nbsp;</span></font></td>";
echo"														<td align=center style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><span class='$stylefont' >$rows[4]&nbsp;</span></font></td>";
echo"														<td align=center style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><span class='$stylefont' >$rows[5]&nbsp;</span></font></td>";

														//echo "	<td style='cursor:pointer;' "; echo " onclick=setContainer('$rows[0]');";echo"><font face='Arial' size='2' color='#186194'><span class='$stylefont'>$rows[2]&nbsp;</span></font></td>";
echo"													</tr>";
}		
echo"												</table>";
												//	</div>
echo "											</td>
											</tr>
										<tr>";
											//<td >&nbsp;fgf</td>
											echo "<td><table width=100%><tr>";
											echo "<td align='center'>";
											
											
												$diff= $startrange - $perpage;
											
												if (($diff) >= 0 ){
													
													$prvstartrange = $startrange - $perpage;
													echo"<img src='img/arrowleft.png' title='Previous' onMouseOver=\"style.cursor='hand'\"  onclick=SetPrvPage('".$prvstartrange."','".$perpage."')>";
												}
												else
													echo "&nbsp;";
													
echo"										</td>
											<td  align='center'>";
												if ($startrange <= $totalrows){
													$startrange = $startrange + $perpage;
													if  ($startrange <= $totalrows)
													{
														
														echo"<img src='img/arrowright.png' title='Next' onMouseOver=\"style.cursor='hand'\" onclick=SetNextPage('".$startrange."','".$perpage."')>";
													}
												} else
													echo "&nbsp;";																
echo"										</td>
										</tr>
										</table></td></tr>
									</table>
								</td>
							</tr>
						</td>
					</tr>";							

	 
	echo" 	</td></tr>";

echo" <tr height='30'><td align='center' id='content-bottom' ></td></tr>";
include("footer.php");	
echo" </table>  ";//end of last table menu		 



print <<<HERE
</form>
</body>

HERE;

?>














